<?php
/**
 * @author    USAMI Kenta <tadsan@zonu.me>
 * @license   http://www.wtfpl.net/about/ WTFPL
 * @copyright 2016 USAMI Kenta
 */
namespace WebDB91\Sample;

/**
 * @param  int      $n
 * @return string[] FizzBuzz sequence
 */
function fizzbuzz($max, $n = null)
{
    $n = $n ?: 1;
    $cur  = '';
    $cur .= ($n % 3 === 0) ? 'Fizz' : '';
    $cur .= ($n % 5 === 0) ? 'Buzz' : '';
    $cur  = ($cur === '') ? (string)$n : $cur;

    return array_merge([$cur], ($n < $max) ? fizzbuzz($max, $n + 1) : []);
}
