<?php
/**
 * @author    USAMI Kenta <tadsan@zonu.me>
 * @license   http://www.wtfpl.net/about/ WTFPL
 * @copyright 2016 USAMI Kenta
 */
namespace WebDB91\Sample;
// Composerのオートローダーを読み込み
include_once __DIR__ . '/../vendor/autoload.php';

// もし Sample\Model\User と書きたかったら
// ↓の行をコメントアウトする
//use WebDB91\Sample;

// 読み込み対象は WebDB91\Sample\Model\User なので、
// Model\User で参照できる
$hiroshi = new Model\User('hiroshi');
$akira   = new Sample\Model\User('akira');
$yuzo    = new \WebDB91\Sample\Model\User('yuzo');

header('Content-Type: application/json; charset=utf-8');
echo json_encode([
    'users' => [$hiroshi, $akira, $yuzo],

    // 以下の2行はどちらも \WebDB91\Sample\fizzbuzz()
    'fizzbuzz' => fizzbuzz(15),
    'fizzbuzz2' => \WebDB91\Sample\fizzbuzz(30, 16),
], JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
