<?php
/**
 * @author    USAMI Kenta <tadsan@zonu.me>
 * @license   http://www.wtfpl.net/about/ WTFPL
 * @copyright 2016 USAMI Kenta
 */
namespace WebDB91\Sample\Model;

/**
 * @param string $name
 */
final class User implements \JsonSerializable
{
    use \Teto\Object\TypedProperty;

    private static $property_types = [
        'name' => 'string',
    ];

    /**
     * @param string $name
     */
    public function __construct($name)
    {
        $this->name = $name;
    }

    public function jsonSerialize()
    {
        return [
            'name' => $this->name,
        ];
    }
}
